Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1603458 - balsa: FTBFS in Fedora rawhide
Summary: balsa: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: itstool
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 14:55 UTC by Mohan Boddu
Modified: 2019-01-10 08:21 UTC (History)
3 users (show)

Fixed In Version: itstool-2.0.5-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-10 08:21:36 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 14:55 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 14:55 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 14:55 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 14:55:40 UTC
balsa failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28168606


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix balsa at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
balsa will be orphaned. Before branching of Fedora 30,
balsa will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:55:45 UTC
Created attachment 1460625 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:55:48 UTC
Created attachment 1460626 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:55:50 UTC
Created attachment 1460627 [details]
state.log

Comment 4 Pawel Salek 2018-07-21 03:56:37 UTC
It is a bug in a translation tool, not in balsa. We can just wait until it gets fixed:

https://kojipkgs.fedoraproject.org//work/tasks/9002/28169002/build.log

make[2]: Entering directory '/builddir/build/BUILD/balsa-2.5.6/doc'
  GEN      de/de.mo
  GEN      cs/cs.mo
  GEN      el/el.mo
  GEN      es/es.mo
  GEN      fr/fr.mo
  GEN      sl/sl.mo
  GEN    sl/
  GEN    cs/
  GEN    de/
  GEN    el/
  GEN    fr/
  GEN    es/
Error: Could not merge translations:
'NoneType' object has no attribute '__getitem__'
make[2]: *** [Makefile:655: de/de.stamp] Error 1
make[2]: *** Waiting for unfinished jobs....
/bin/sh: line 4: 19046 Segmentation fault      (core dumped) itstool -m "${mo}" ${d}/C/ab-conf.page ${d}/C/authors.page ${d}/C/common-tasks.page ${d}/C/folder-config.page ${d}/C/getting-started.page ${d}/C/glossary.page ${d}/C/identities.page ${d}/C/index.page

Comment 5 Jan Kurik 2018-08-14 09:49:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-08-27 09:24:40 UTC
There has been at least one successfull build after mass rebuild.

itstool-2.0.4-2.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1111651

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-08-27 09:31:43 UTC
Nevermind.

Comment 8 Fedora Update System 2019-01-06 20:52:03 UTC
itstool-2.0.5-2.fc29 libxml2-2.9.8-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7d24cbd

Comment 9 Fedora Update System 2019-01-07 03:12:35 UTC
itstool-2.0.5-2.fc29, libxml2-2.9.8-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7d24cbd

Comment 10 Fedora Update System 2019-01-10 08:21:36 UTC
itstool-2.0.5-2.fc29, libxml2-2.9.8-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.